h1.tl-entry__title {
    
    text-align: center;

    a {
        font-weight: 500;
        text-decoration: none;
        text-transform: uppercase;
        letter-spacing: 2px;
    }
}

/* woocommerce */
.woocommerce-cart .content *, .woocommerce-checkout main * { 
    font-size: 1rem!important; 
    button {
            font-weight: 500;
            text-transform: uppercase;
            font-family: inherit;
            cursor: pointer;
            text-decoration: none;
            border-radius: 8px;
            transition: var(--tl-speed) ease;
            display: inline-block;
            background-color: var(--primary);
            color: var(--white);
            padding: .5rem 1rem;
            border: 2px solid var(--primary);

            &:hover {
                background-color: var(--bg);
                color: var(--primary);
            }    
        }
}
.woocommerce-page {
    .content {
        max-width: initial; 
        font-size: 1rem;
    }
    h2 {
        font-size: 1.15rem;
        margin: .5rem 0;
        text-transform: uppercase;
        letter-spacing: 2px;
        text-align: center;
    }
    
    .woocommerce {

        nav ul {
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;

            .is-active {
                font-weight: 600;

            }

            a { 
                text-decoration: none; 
                text-transform: uppercase;
                letter-spacing: 1px;
                transition: .4s ease-out;
                padding: .5rem;
                display: block;
                &:hover {
                    color: var(--accent);
                }
            }
        }

        .woocommerce-MyAccount-content p { max-width: 50ch; }

        form {
            border: none;
            background: rgba(255,255,255, .6);
            padding: 2rem;
            margin: 1em 0;
            text-align: left;
            border-radius: .25rem;

            .form-row {
                padding: 0.5rem 0;
                label {
                    line-height: 1.2;
                    margin-bottom: .5rem;
                }
                .input-text, select {
                    border: 1px solid var(--primary);
                }
            }
        }
        
        .input-text { font-size: inherit; border-color: var(--primary); }

        button.woocommerce-button.button, 
        button.button,
        .woocommerce-button.button.view  {
            font-weight: 500;
            text-transform: uppercase;
            font-family: inherit;
            cursor: pointer;
            text-decoration: none;
            border-radius: 8px;
            transition: var(--tl-speed) ease;
            display: inline-block;
            background-color: var(--primary);
            color: var(--white);
            padding: .5rem 1rem;
            border: 2px solid var(--primary);

            &:hover {
                background-color: var(--bg);
                color: var(--primary);
            }    
        }
        table.shop_table, address {
            border: 0;
            background: rgba(255, 255, 255, .7);
            font-size: inherit;
        }

        address { padding: 2rem; }

        .addresses .woocommerce-Address-title.title,
        .woocommerce-order-details,
        .woocommerce-column--billing-address,
        .woocommerce-column--shipping-address {

            margin-bottom: 1rem;
            h2 { text-align: start; }        
            a.edit { float: initial; }
        }
        .woocommerce-order-details { margin-bottom: 2rem; }

    }

}

.wc-block-components-quantity-selector {
    width: auto;
    border-radius: 100rem;
}
.woocommerce-cart .content *, .woocommerce-checkout main * {
    .wc-block-components-quantity-selector .wc-block-components-quantity-selector__button {
        aspect-ratio: 1/1;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 2rem;
        border-radius: 100rem;
    }
}

div#div-redsys > div > div > div {
    display: grid;
    gap: .5rem;
    margin: .5rem 0;
    line-height: 1.4;
}

.tlb-promotions-box {
    border: 0;

}

span#radio-control-wc-payment-method-options-redsys__label,
span#radio-control-wc-payment-method-options-redsys_bizum__label {
    display: flex;
    align-items: center;
    gap: .5rem;
    justify-content: start;
}

span#radio-control-wc-payment-method-options-redsys__label:before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 450' height='1.5rem'%3E%3Cpath d='M448 112c8.8 0 16 7.2 16 16l0 32-416 0 0-32c0-8.8 7.2-16 16-16l384 0zm16 112l0 160c0 8.8-7.2 16-16 16L64 400c-8.8 0-16-7.2-16-16l0-160 416 0zM64 64C28.7 64 0 92.7 0 128L0 384c0 35.3 28.7 64 64 64l384 0c35.3 0 64-28.7 64-64l0-256c0-35.3-28.7-64-64-64L64 64zM80 344c0 13.3 10.7 24 24 24l48 0c13.3 0 24-10.7 24-24s-10.7-24-24-24l-48 0c-13.3 0-24 10.7-24 24zm144 0c0 13.3 10.7 24 24 24l64 0c13.3 0 24-10.7 24-24s-10.7-24-24-24l-64 0c-13.3 0-24 10.7-24 24z' fill='%2300416A' /%3E%3C/svg%3E");
}
span#radio-control-wc-payment-method-options-redsys_bizum__label:before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' viewBox='0 0 38.1 50' height='1.5rem'%3E%3Cg%3E%3Cpath fill='%2300416A' d='M9.2,17.9c1.8,1.3,4.4,0.9,5.7-0.9l4.8-6.6C21,8.6,20.6,6,18.8,4.7c-1.8-1.3-4.4-0.9-5.7,0.9l-4.8,6.6 C7,14,7.4,16.5,9.2,17.9z M31,8.6c-1.8-1.3-4.4-0.9-5.7,0.9L6.1,35.8c-1.3,1.8-0.9,4.4,0.9,5.7c1.8,1.3,4.4,0.9,5.7-0.9l19.1-26.3 C33.2,12.5,32.8,9.9,31,8.6z M7.4,6.5c1.3-1.8,0.9-4.4-0.9-5.7C4.7-0.5,2.1-0.2,0.8,1.7C-0.5,3.5-0.2,6,1.7,7.4 C3.5,8.7,6,8.3,7.4,6.5z M36.4,42.6c-1.8-1.3-4.4-0.9-5.7,0.9c-1.3,1.8-0.9,4.4,0.9,5.7c1.8,1.3,4.4,0.9,5.7-0.9 C38.6,46.5,38.2,44,36.4,42.6z M28.9,32.2c-1.8-1.3-4.4-0.9-5.7,0.9l-4.8,6.6c-1.3,1.8-0.9,4.4,0.9,5.7c1.8,1.3,4.4,0.9,5.7-0.9 l4.8-6.6C31.1,36.1,30.7,33.5,28.9,32.2z'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
}

.tl-hidden-bundle-child {
  display: none !important;
}

.wc-block-components-product-name {
    text-align: initial;
}

.wc-block-components-checkout-place-order-button__text {
    justify-content: center;
}